:root {
  --gap: clamp(11.2px, calc(11.2px + 0.007 * 100vw - 2.2px), 17.9px);
  --site-pad: clamp(22px, calc(11.2px + 0.0408333 * 100vw - 13.1px), 50.4px);

  --fs-small: clamp(14px, calc(14px + 0.003125 * 100vw - 4px), 16px);
  
  --fs-regular: clamp(16px, calc(15.6px + 0.125vw), 18px);
  
  --fs-normal: clamp(16px, calc(16px + 0.009375 * 100vw - 12px), 22px);

  --fs-subtitle: clamp(16px, calc(16px + 0.00625 * 100vw - 8px), 20px);

  --fs-general-paragraphe: clamp(18px, calc(18px + 0.009375 * 100vw - 12px), 22px);

  --fs-intro-article: clamp(18px, calc(18px + 0.009375 * 100vw - 12px), 24px);
  --fs-intro-page: clamp(18px, calc(18px + 0.0125 * 100vw - 16px), 24px);

  --fs-aside-item-title: clamp(18px, calc(18px + 0.0125 * 100vw - 16px), 24px);

  --fs-mise-en-exergue: clamp(20px, calc(20px + 0.0242266 * 100vw - 31px), 35px);
  --fs-citation: clamp(22.2px, calc(22.2px + 0.0199609 * 100vw - 25.6px), 35px);

  --fs-article-header-subtitle: clamp(22px, calc(22px + 0.0056146 * 100vw - 1.8px), 25px);
  --fs-page-title: clamp(38px, calc(30px + 0.0260417 * 100vw - 8.3px), 50px);
  --fs-article-title: clamp(38px, calc(35px + 0.03125 * 100vw - 10px), 60px);

  --fs-heading-h2: clamp(35px, calc(35px + 0.03125 * 100vw - 10px), 50px);
  --fs-heading-h3: clamp(30px, calc(30px + 0.03125 * 100vw - 10px), 45px);
  --fs-heading-h4: clamp(24px, calc(24px + 0.03125 * 100vw - 10px), 28px);

  --sp-10-10: clamp(5.6px, calc(5.6px + 0.000875 * 100vw - 0.3px), 6.4px);
  --sp-15-15: clamp(8.4px, calc(8.4px + 0.0013125 * 100vw - 0.4px), 9.7px);
  --sp-20-20: clamp(11.2px, calc(11.2px + 0.00175 * 100vw - 0.6px), 12.9px);
  --sp-20-15: clamp(8.4px, calc(8.4px + 0.0035 * 100vw - 1.1px), 11.8px);
  --sp-30-15: clamp(5.6px, calc(5.6px + 0.009625 * 100vw - 3.1px), 14.8px);
  --sp-30-30: clamp(16.8px, calc(16.8px + 0.002625 * 100vw - 0.8px), 19.3px);
  --sp-45-40: clamp(22.4px, calc(22.4px + 0.0056875 * 100vw - 1.8px), 27.9px);
  --sp-45-25: clamp(14px, calc(14px + 0.0109375 * 100vw - 3.5px), 24.5px);
  --sp-50-30: clamp(16.8px, calc(16.8px + 0.011375 * 100vw - 3.6px), 27.7px);
  --sp-60-40: clamp(22.4px, calc(22.4px + 0.01225 * 100vw - 3.9px), 34.2px);
  --sp-70-40: clamp(22.4px, calc(22.4px + 0.016625 * 100vw - 5.3px), 38.4px);
  --sp-80-40: clamp(22.4px, calc(22.4px + 0.021 * 100vw - 6.7px), 42.6px);
  --sp-100-40: clamp(22.4px, calc(22.4px + 0.02975 * 100vw - 9.5px), 51px);
  --sp-100-70: clamp(39.2px, calc(39.2px + 0.01925 * 100vw - 6.2px), 57.7px);
  --sp-120-70: clamp(39.2px, calc(39.2px + 0.028 * 100vw - 9px), 66.1px);
  --sp-130-32: clamp(18.2px, calc(18.2px + 0.0455 * 100vw - 14.6px), 61.9px);
}

@media (min-width: 1280px) {
  :root {
    --gap: clamp(17.9px, calc(17.9px + 0.022 * 100vw - 28.2px), 32px);
    --site-pad: clamp(50.4px, calc(50.4px + 0.17125 * 100vw - 219.2px), 160px);

    --fs-article-header-subtitle: clamp(25px, calc(25px + 0.0390781 * 100vw - 50px), 50px);
    --fs-page-title: clamp(40px, calc(40px + 0.0494531 * 100vw - 63.3px), 60px);
    --fs-article-title: clamp(60px, calc(33.2px + 0.0730469 * 100vw - 93.5px), 80px);
    --sp-10-10: clamp(6.4px, calc(6.4px + 0.0055625 * 100vw - 7.1px), 10px);
    --sp-15-15: clamp(9.7px, calc(9.7px + 0.0083438 * 100vw - 10.7px), 15px);
    --sp-20-20: clamp(12.9px, calc(12.9px + 0.011125 * 100vw - 14.2px), 20px);
    --sp-20-15: clamp(11.8px, calc(11.8px + 0.012875 * 100vw - 16.5px), 20px);
    --sp-30-15: clamp(14.8px, calc(14.8px + 0.0236875 * 100vw - 30.3px), 30px);
    --sp-30-30: clamp(19.3px, calc(19.3px + 0.0166875 * 100vw - 21.4px), 30px);
    --sp-45-40: clamp(27.9px, calc(27.9px + 0.0267812 * 100vw - 34.3px), 45px);
    --sp-45-25: clamp(24.5px, calc(24.5px + 0.0320312 * 100vw - 41px), 45px);
    --sp-50-30: clamp(27.7px, calc(27.7px + 0.0348125 * 100vw - 44.6px), 50px);
    --sp-60-40: clamp(34.2px, calc(34.2px + 0.040375 * 100vw - 51.7px), 60px);
    --sp-70-40: clamp(38.4px, calc(38.4px + 0.0494375 * 100vw - 63.3px), 70px);
    --sp-80-40: clamp(42.6px, calc(42.6px + 0.0585 * 100vw - 74.9px), 80px);
    --sp-100-40: clamp(51px, calc(51px + 0.076625 * 100vw - 98.1px), 100px);
    --sp-100-70: clamp(57.7px, calc(57.7px + 0.066125 * 100vw - 84.6px), 100px);
    --sp-120-70: clamp(66.1px, calc(66.1px + 0.08425 * 100vw - 107.8px), 120px);
    --sp-130-32: clamp(61.9px, calc(61.9px + 0.1064375 * 100vw - 136.2px), 130px);
  }
}

@media (min-width: 1440px) {

  :root {
      --fs-article-title: clamp(60px, 4.1667vw, 80px);
  }
}
